lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "paper_trail_actor/version"

Gem::Specification.new do |spec|
  spec.name = "paper_trail_actor"
  spec.version = PaperTrailActor::VERSION
  spec.authors = ["toandp"]
  spec.email = ["toandptech@gmail.com"]

  spec.summary = "An extension to paper_trail, using this you can fetch actual object who was responsible for this change"
  spec.description = "This gem is an extension to paper_trail gem https://github.com/airblade/paper_trail. That means you need to pre install paper_trail gem. This gem will add one more method actor to instances of PaperTrail::Version that will return you the ActiveRecord object who was responsible for change."
  spec.homepage = "https://github.com/toandp/paper_trail_actor"
  spec.license = "MIT"

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "paper_trail-globalid", "~> 0.2"
  spec.add_dependency "sshkey", "~> 1.9"
  spec.add_dependency "terrapin", "~> 0.6"

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
